This builds from the previous challenge. You need to have the code built out from the previous challenge.

If you intend to skip the previous challenge, you can copy the file structure and code from its answers section, then resume here. The previous challenge was having multiple screens, so we are using that challenge as a basis, then we add the ability to transfer data that the user entered on one screen to the next screen.

Mimic:
![](9gObs8E.png)

b: User clicks "Screen Two"
![](YDUwYJs.png)

c: User fills in the form then clicks "Continue to Screen Two Details"
![](fNGfgq6.png)

Hint:
At Screen Two, you will add TextInputs and enhance the TouchableOpacity's onPress with parameters to pass to the next screen.
https://reactnavigation.org/docs/params

---

**Answers**

**Given up or comparing after you finished?**

1. Change Screen Two so it can receive user inputs with TextInput’s and pass that information on .navigate:

Original "screens/ScreenTwoScreen.js" where it's a touchable that navigates to the next page:
```
      <TouchableOpacity onPress={()=>{   
        navigation.navigate("ScreenTwoDetails")  
      }} style={styles.gap}>  
        <Text>Continue to Screen Two Details</Text>  
      </TouchableOpacity>  
```

-->

Add TextInputs and enhanced the TouchableOpacity's onPress with parameters to pass to the next screen
```
      <TextInput  
        style={{ height: 40, borderColor: 'gray', borderWidth: 1 }}  
        onChangeText={(val)=>setFirstName(val)}  
        placeholder="First name"  
        value={firstName}  
      ></TextInput>  
      <TextInput  
        style={{ height: 40, borderColor: 'gray', borderWidth: 1 }}  
        onChangeText={(val)=>setLastName(val)}  
        placeholder="Last name"  
        value={lastName}  
      ></TextInput>  
      <TouchableOpacity onPress={()=>{   
        navigation.navigate("TabTwoDetails",  
          {  
            fullName: firstName + " " + lastName  
          })  
      }} style={styles.gap}>  
        <Text>Continue to Screen Two Details</Text>  
      </TouchableOpacity>  
    </View>
```


2. Change Screen Two Details so that it displays back what the user entered from the previous screen:

Original:
```
export default function ScreenTwoDetails() {  
  return (  
    <View style={styles.container}>  
      <Text style={styles.title}>Screen Two Detail</Text>  
      <View  
        style={styles.separator}  
        lightColor="#eee"  
        darkColor="rgba(255,255,255,0.1)"  
      />  
    </View>  
  );  
}
```

-->

```
export default function ScreenTwoDetails({route}) {  
  const {fullName} = route.params;  
  return (  
    <View style={styles.container}>  
      <Text style={styles.title}>Screen Two Details</Text>  
      <View  
        style={styles.separator}  
        lightColor="#eee"  
        darkColor="rgba(255,255,255,0.1)"  
      />  
      <Text>Greetings, {fullName}</Text>  
      <VertSpace></VertSpace>  
      <Text>This proves that the previous screen's information is passed to another screen.</Text>  
      <Text>And this screen is stacked. You can pop off this screen with aa gesture or with the back arrow at the top.</Text>  
    </View>  
  );  
}
```